<template>
  <div class="box-entry">
    <div classs="box-content">
      <div>
        <img
          :src="getAssetImage(`assets/theme/black/casinos/${(gameForDisplay.EnglishGameName || '').toLowerCase().replace(/ /g, '')}${gameForDisplay.GameProviderId === 1052 ? 'new' : ''}.png`)"
          @error="handleError"
          class="object-contain w-full"
        />
      </div>
    </div>
    <div class="footer-entry">
      <div class="background-play-game"></div>
      <div class="relative game-name">{{ gameForDisplay.GameNameForDisplay }}</div>
      <div class="flex w-[80%] px-3 justify-center my-0 mx-auto relative">
        <button class="btn-play-game" @click="$emit('onClick')">
          {{ $t("play_now") }}
        </button>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType, computed } from "vue";
import { IGameBsi } from "@/models/bsiGameList";
import SportDisplayModel from "../sport/sportDisplayModel";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  name: "HorizontalGameEntryComponent",
  props: {
    game: {
      type: Object as PropType<IGameBsi>,
      required: true,
    },
  },
  setup(props) {
    const gameForDisplay = computed(() => new SportDisplayModel(props.game));
    const { getAssetImage } = commonHelper;
    function handleError(event: any) {
      event.target.src = getAssetImage(`assets/theme/black/casinos/default.png`);
    }
    return {
      gameForDisplay,
      getAssetImage,
      handleError
    };
  },
});
</script>

<style scoped lang="scss">
.box-entry {
  height: 421px;
  position: relative;
  border-radius: 10px;
  box-sizing: border-box;
  border: 1px solid #393c68;
  width: 100%;
  overflow: hidden;
  cursor: pointer;

  .footer-entry {
    height: 100px;
    width: 100%;
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    color: var(--text5);

    .background-play-game {
      background-color: #393c68;
      opacity: 0.8;
      width: 100%;
      height: 100%;
      position: absolute;
      z-index: 0;
    }

    .game-name {
      height: 50px;
      display: block;
      font-family: sans-serif;
      line-height: 40px;
      margin: 0;
      text-overflow: ellipsis;
      white-space: nowrap;
      font-size: 16px;
      text-align: center;
    }

    .btn-play-game {
      background: #ff4e00;
      border: 1px solid #ff4e00;
      border-radius: 25px;
      font-size: 16px;
      font-weight: 700;
      padding: 5px 20px;
      width: 100%;

      &:hover,
      &:focus {
        background: #009fe3;
        border-color: #009fe3;
        color: black;
      }
    }
  }
}
</style>
